<app-header title="Notifications"></app-header>

<ion-content class="ion-padding">
  <div class="eh-p-8 eh-ofy-scroll eh-hide-scrollbars" fxFlex="1 0 0%">
    <ng-container *ngIf="dispatchView; else dataAwaitedBlk">
      <div *ngIf="!areNotificationsAvailable" class="e-txt e-txt--placeholder eh-txt-center">
        No unread notifications
      </div>

      <ng-container *ngIf="areNotificationsAvailable">
        <div *ngFor="let item of notifications" fxLayout="row" fxLayoutAlign="start stretch"
          class="e-card e-card--notif eh-mt-8 eh-t-spacer eh-pos-relative">
          <div fxFlex="0 auto" class="e-card__content">
            <div fxLayout="row" fxLayoutAlign="start stretch" [innerHTML]="item.messageHTML"></div>
            <div class="e-txt--placeholder eh-txt-12 eh-mt-12" fxLayout="row" fxLayoutAlign="space-between center">
              <span *ngIf="item.isSystemGenerated; else userGenerBlk">Auto</span>
              <ng-template #userGenerBlk>
                <span>By: {{item.staff.name}}</span>
              </ng-template>
              <span>{{item.notifDate | date:'EEE, d-MMM, H:mm':'+0530'}}</span>
            </div>
          </div>
          <div class="eh-csr-ptr eh-xy-center" fxFlex="0 0 36px" (click)="onClick(item)">
            <mat-icon *ngIf="item.isNew" class="e-mat-icon e-mat-icon--3 e-txt--matamber600">mark_chat_read</mat-icon>
            <mat-icon *ngIf="!item.isNew" class="e-mat-icon e-mat-icon--3 e-txt--eblue700">mark_chat_read</mat-icon>
          </div>
          <div *ngIf="!item.isSystemGenerated" class="eh-pos-absolute" style="top: -12px; left: -6px;">
            <mat-icon class="e-mat-icon e-mat-icon--1 e-txt--matamber600">campaign</mat-icon>
          </div>
        </div>
      </ng-container>
    </ng-container>
  </div>
</ion-content>
<!-- <app-tabs></app-tabs> -->
<ng-template #dataAwaitedBlk>
  <div class="e-spinner">
    <mat-spinner [diameter]="24" [strokeWidth]="2"></mat-spinner>
  </div>
</ng-template>